Details
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_id": "5253853619c29579402062d8",
"air_date": "1975-11-05",
"episodes": [
{
"air_date": "1975-11-05",
"episode_number": 1,
"episode_type": "standard",
"id": 31095,
"name": "Moving in with Min",
"overview": "With it clear Else isn't returning, Alf considers sale of the house and moving in with Min and Reed next door.",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": [
{
"character": "",
"credit_id": "5253853b19c2957940206734",
"order": 500,
"adult": false,
"gender": 2,
"id": 30119,
"known_for_department": "Acting",
"name": "Alfie Bass",
"original_name": "Alfie Bass",
"popularity": 12.177,
"profile_path": "/1LnDvjwwtiQTrcaHGPDLsF9f3rq.jpg"
},
{
"character": "",
"credit_id": "5253853b19c2957940206776",
"order": 502,
"adult": false,
"gender": 1,
"id": 12658,
"known_for_department": "Acting",
"name": "Patricia Hayes",
"original_name": "Patricia Hayes",
"popularity": 14.271,
"profile_path": "/6XFwNMFX81TJOvY5k5V0rUANQL.jpg"
}
]
},
{
"air_date": "1975-11-12",
"episode_number": 2,
"episode_type": "standard",
"id": 31096,
"name": "Min the Housekeeper",
"overview": "Min goes on strike as housekeeper.",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": [
{
"character": "",
"credit_id": "5253853b19c2957940206734",
"order": 500,
"adult": false,
"gender": 2,
"id": 30119,
"known_for_department": "Acting",
"name": "Alfie Bass",
"original_name": "Alfie Bass",
"popularity": 12.177,
"profile_path": "/1LnDvjwwtiQTrcaHGPDLsF9f3rq.jpg"
},
{
"character": "",
"credit_id": "5253853b19c2957940206776",
"order": 502,
"adult": false,
"gender": 1,
"id": 12658,
"known_for_department": "Acting",
"name": "Patricia Hayes",
"original_name": "Patricia Hayes",
"popularity": 14.271,
"profile_path": "/6XFwNMFX81TJOvY5k5V0rUANQL.jpg"
}
]
},
{
"air_date": "1975-11-19",
"episode_number": 3,
"episode_type": "standard",
"id": 31097,
"name": "Drunk in Charge of a Bicycle",
"overview": "Alf and Bert go out for the day and Alf gets drunk and arrested for riding a bicycle intoxicated",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": []
},
{
"air_date": "1975-11-26",
"episode_number": 4,
"episode_type": "standard",
"id": 31098,
"name": "The Window",
"overview": "While cleaning the windows, Alf gets stuck on the ledge.",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": [
{
"character": "",
"credit_id": "5253853819c2957940206458",
"order": 512,
"adult": false,
"gender": 1,
"id": 3478,
"known_for_department": "Acting",
"name": "Pat Coombs",
"original_name": "Pat Coombs",
"popularity": 10.502,
"profile_path": "/RpsQu7OP71FNGVKTMJtQTbSryc.jpg"
}
]
},
{
"air_date": "1975-12-03",
"episode_number": 5,
"episode_type": "standard",
"id": 31099,
"name": "A Hole in One",
"overview": "Alf and Bert head off to go golfing",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": []
},
{
"air_date": "1975-12-17",
"episode_number": 6,
"episode_type": "finale",
"id": 31100,
"name": "Unemployment",
"overview": "Alf returns home after being laid off work to find a surprise birthday party with friends and family. Arguments about politics, Catholics and the Irish fill the night. A near fight between Alf and neighbor Wally Carry is interrupted when a telegram arrives from Else in Australia asking for a divorce",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": [
{
"character": "",
"credit_id": "5253853819c2957940206458",
"order": 512,
"adult": false,
"gender": 1,
"id": 3478,
"known_for_department": "Acting",
"name": "Pat Coombs",
"original_name": "Pat Coombs",
"popularity": 10.502,
"profile_path": "/RpsQu7OP71FNGVKTMJtQTbSryc.jpg"
},
{
"character": "",
"credit_id": "6224aae3680be80044ff2797",
"order": 513,
"adult": false,
"gender": 1,
"id": 40949,
"known_for_department": "Acting",
"name": "Joan Sims",
"original_name": "Joan Sims",
"popularity": 15.869,
"profile_path": "/zlqfbnRk85lAqt5ouKdA0JiQZRG.jpg"
},
{
"character": "",
"credit_id": "6224b1477c6de3001b8a31b9",
"order": 514,
"adult": false,
"gender": 2,
"id": 575818,
"known_for_department": "Acting",
"name": "Hugh Lloyd",
"original_name": "Hugh Lloyd",
"popularity": 8.722,
"profile_path": "/1kUCSbU7802Waqb6a2pI2p2cZwu.jpg"
}
]
}
],
"name": "Series 7",
"overview": "",
"id": 1691,
"poster_path": null,
"season_number": 7,
"vote_average": 0
}TV SEASONS
Details
This endpoint query the details of a TV season.
GET
/
tv
/
{series_id}
/
season
/
{season_number}
Details
curl --request GET \
--url https://api.themoviedb.org/3/tv/{series_id}/season/{season_number} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/tv/{series_id}/season/{season_number}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"_id": "5253853619c29579402062d8",
"air_date": "1975-11-05",
"episodes": [
{
"air_date": "1975-11-05",
"episode_number": 1,
"episode_type": "standard",
"id": 31095,
"name": "Moving in with Min",
"overview": "With it clear Else isn't returning, Alf considers sale of the house and moving in with Min and Reed next door.",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": [
{
"character": "",
"credit_id": "5253853b19c2957940206734",
"order": 500,
"adult": false,
"gender": 2,
"id": 30119,
"known_for_department": "Acting",
"name": "Alfie Bass",
"original_name": "Alfie Bass",
"popularity": 12.177,
"profile_path": "/1LnDvjwwtiQTrcaHGPDLsF9f3rq.jpg"
},
{
"character": "",
"credit_id": "5253853b19c2957940206776",
"order": 502,
"adult": false,
"gender": 1,
"id": 12658,
"known_for_department": "Acting",
"name": "Patricia Hayes",
"original_name": "Patricia Hayes",
"popularity": 14.271,
"profile_path": "/6XFwNMFX81TJOvY5k5V0rUANQL.jpg"
}
]
},
{
"air_date": "1975-11-12",
"episode_number": 2,
"episode_type": "standard",
"id": 31096,
"name": "Min the Housekeeper",
"overview": "Min goes on strike as housekeeper.",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": [
{
"character": "",
"credit_id": "5253853b19c2957940206734",
"order": 500,
"adult": false,
"gender": 2,
"id": 30119,
"known_for_department": "Acting",
"name": "Alfie Bass",
"original_name": "Alfie Bass",
"popularity": 12.177,
"profile_path": "/1LnDvjwwtiQTrcaHGPDLsF9f3rq.jpg"
},
{
"character": "",
"credit_id": "5253853b19c2957940206776",
"order": 502,
"adult": false,
"gender": 1,
"id": 12658,
"known_for_department": "Acting",
"name": "Patricia Hayes",
"original_name": "Patricia Hayes",
"popularity": 14.271,
"profile_path": "/6XFwNMFX81TJOvY5k5V0rUANQL.jpg"
}
]
},
{
"air_date": "1975-11-19",
"episode_number": 3,
"episode_type": "standard",
"id": 31097,
"name": "Drunk in Charge of a Bicycle",
"overview": "Alf and Bert go out for the day and Alf gets drunk and arrested for riding a bicycle intoxicated",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": []
},
{
"air_date": "1975-11-26",
"episode_number": 4,
"episode_type": "standard",
"id": 31098,
"name": "The Window",
"overview": "While cleaning the windows, Alf gets stuck on the ledge.",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": [
{
"character": "",
"credit_id": "5253853819c2957940206458",
"order": 512,
"adult": false,
"gender": 1,
"id": 3478,
"known_for_department": "Acting",
"name": "Pat Coombs",
"original_name": "Pat Coombs",
"popularity": 10.502,
"profile_path": "/RpsQu7OP71FNGVKTMJtQTbSryc.jpg"
}
]
},
{
"air_date": "1975-12-03",
"episode_number": 5,
"episode_type": "standard",
"id": 31099,
"name": "A Hole in One",
"overview": "Alf and Bert head off to go golfing",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": []
},
{
"air_date": "1975-12-17",
"episode_number": 6,
"episode_type": "finale",
"id": 31100,
"name": "Unemployment",
"overview": "Alf returns home after being laid off work to find a surprise birthday party with friends and family. Arguments about politics, Catholics and the Irish fill the night. A near fight between Alf and neighbor Wally Carry is interrupted when a telegram arrives from Else in Australia asking for a divorce",
"production_code": "",
"runtime": 30,
"season_number": 7,
"show_id": 550,
"still_path": null,
"vote_average": 0,
"vote_count": 0,
"crew": [
{
"department": "Directing",
"job": "Director",
"credit_id": "5253853d19c29579402067a6",
"adult": false,
"gender": 0,
"id": 1218302,
"known_for_department": "Production",
"name": "Dennis Main Wilson",
"original_name": "Dennis Main Wilson",
"popularity": 1.445,
"profile_path": null
}
],
"guest_stars": [
{
"character": "",
"credit_id": "5253853819c2957940206458",
"order": 512,
"adult": false,
"gender": 1,
"id": 3478,
"known_for_department": "Acting",
"name": "Pat Coombs",
"original_name": "Pat Coombs",
"popularity": 10.502,
"profile_path": "/RpsQu7OP71FNGVKTMJtQTbSryc.jpg"
},
{
"character": "",
"credit_id": "6224aae3680be80044ff2797",
"order": 513,
"adult": false,
"gender": 1,
"id": 40949,
"known_for_department": "Acting",
"name": "Joan Sims",
"original_name": "Joan Sims",
"popularity": 15.869,
"profile_path": "/zlqfbnRk85lAqt5ouKdA0JiQZRG.jpg"
},
{
"character": "",
"credit_id": "6224b1477c6de3001b8a31b9",
"order": 514,
"adult": false,
"gender": 2,
"id": 575818,
"known_for_department": "Acting",
"name": "Hugh Lloyd",
"original_name": "Hugh Lloyd",
"popularity": 8.722,
"profile_path": "/1kUCSbU7802Waqb6a2pI2p2cZwu.jpg"
}
]
}
],
"name": "Series 7",
"overview": "",
"id": 1691,
"poster_path": null,
"season_number": 7,
"vote_average": 0
}Authorizations
Path Parameters
Query Parameters
Response
200 - application/json
Successful